/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.regression;

import java.util.List;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.persistence.PersistenceContext;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.5.2.4 $
 */
@Stateless
@Remote(InheritanceSession.class)
public class InheritanceSessionBean implements InheritanceSession
{
   @PersistenceContext
   private EntityManager em;

   public long createBranch()
   {
      FootballTeam branch = new FootballTeam();
      branch.setCity("Foxboro");
      branch.setCountry("USA");
      branch.setName("NE Pats");
      branch.setPhone("617-666-6666");
      branch.setEmail("boston@boston.com");
      branch.setSuperbowlsWon(2);

      Employee employee = new Employee();
      employee.setName("Tom Brady");
      employee.setPhone("617-666-6666");
      employee.setEmail("boston@boston.com");
      employee.setFirst("Tom");
      employee.setLast("Brady");
      employee.setCell("617-666-6666");
      branch.addEmployee(employee);

      Manager manager = new Manager();
      manager.setName("Bill Belicheck");
      manager.setPhone("617-666-6666");
      manager.setEmail("boston@boston.com");
      manager.setFirst("Bill");
      manager.setLast("Belicheck");
      manager.setCell("617-666-6666");
      manager.setTitle("Head Coach");
      branch.addEmployee(manager);
      em.persist(branch);
      return branch.getId();
   }

   public Branch getBranch(long id)
   {
      return em.find(Branch.class, id);
   }

   public List getContacts()
   {
      Query query = em.createQuery("from Contact");
      return query.getResultList();
   }
}
